Bug 752669 - KeyError: 'us-ctrl_capslock'
KeyError: 'us-ctrl_capslock'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-keyboard (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
abrt_hash:5760839151e3a2e7ba827936802...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-09 23:33 EST by Dan Krejsa
Modified: 2013-02-13 11:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:08:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: anaconda-tb-L7e4Ba (261.32 KB, text/plain)
2011-11-09 23:33 EST, Dan Krejsa
no flags Details

  None (edit)
Description Dan Krejsa 2011-11-09 23:33:20 EST
libreport version: 2.0.6
executable:     /usr/bin/python
hashmarkername: anaconda
kernel:         3.1.0-7.fc16.i686
product:        Fedora
reason:         KeyError: 'us-ctrl_capslock'
time:           Thu Nov 10 04:31:35 2011
version:        16

anaconda-tb-L7e4Ba: Text file, 267592 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 16.25 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/system_config_keyboard/keyboard.py", line 81, in set
:    kb = self.modelDict[keytable]
:  File "/usr/lib/python2.7/site-packages/pyanaconda/kickstart.py", line 429, in execute
:    self.anaconda.keyboard.set(self.keyboard)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/kickstart.py", line 1226, in execute
:    obj.execute()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/kickstart.py", line 1277, in doKickstart
:    anaconda.ksdata.execute()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/dispatch.py", line 373, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/gui.py", line 88, in return_false
:    func(*args, **kwargs)
:KeyError: 'us-ctrl_capslock'
Comment 1 Dan Krejsa 2011-11-09 23:33:23 EST
Created attachment 532718 [details]
File: anaconda-tb-L7e4Ba
Comment 2 Dan Krejsa 2011-11-11 13:49:23 EST
Shortly after installing Fedora 15 in the distant past, I had created
/lib/kbd/keymaps/i386/qwerty/us-ctrl_capslock.map.gz
and modified /etc/sysconfig/keyboard to set
KEYBOARD="us-ctrl_capslock"
in order to use the new keymap, swapping control and caps-lock keys in text mode.

When upgrading to Fedora 16 using preupgrade, after reboot into the installer
the keyboard configuration code evidently determined that it did not know
about the us-ctrl_capslock map, and so it popped up a dialog allowing me to
chose a keymap; I chose the 'us' map.  However, apparently not all the software
got the word that the keymap was changed from 'us-ctrl_capslock' to 'us', and
keyboard.py got the exception above due to the unknown key.

I was able to recover by rebooting into the old Fedora 15 kernel and
removing us-ctrl_capslock.map.gz and setting the KEYBOARD back to "us" in 
/etc/sysconfig/keyboard, then re-running preupgrade.

This bug probably does not affect a large number of people, but it does look
like a partial attempt was made to handle the case of a keymap unknown to the
installer, but that attempt just did not go far enough.
Comment 3 Fedora End Of Life 2013-01-16 09:52:44 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 11:08:56 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.